Home > I Cannot > I Cannot Run Apxs Php

I Cannot Run Apxs Php

Contents

Try to pass the path using --with-apxs2=/path/to/apxs 3. You may have to register before you can post: click the register link above to proceed. yeschecking whether the C compiler (gcc ) is a cross-compiler... Polyglot Anagrams Robbers' Thread If a wondrous item was dynamically created as slimy, can I remove the smell with prestidigitation? navigate here

javian commented Aug 22, 2016 This is also reported in the homebrew-apache tap Homebrew/homebrew-apache#126 javian commented Aug 23, 2016 • edited I think the problem is found now and all we nochecking if compiler supports -R... With plain ./configure without any options you get both. no checking for awk...

Brew Sorry, I Cannot Run Apxs

The reason I was specifying "--without-apxs2" is because I wanted to make certain that apxs would not be built and clobber my previous apxs which has different/incompatible configure options. Thanks for your help. apxs was not found. gcc -Echecking for AIX...

Perl is not installed 2. If it's not right, how can I fix this? Reply With Quote 02-20-2013,02:14 PM #5 mcode View Profile View Forum Posts Verified User Join Date Jul 2012 Posts 15 [[email protected] ~]# httpd -V -bash: httpd: command not found Reply With Brew Sorry, I Cannot Run Apxs. Possible Reasons Follow: DirectAdmin 2013 JBMC Software current community blog chat Server Fault Meta Server Fault your communities Sign up or log in to customize your list.

Apache was not built using --enable-so (the apxs usage page isdisplayed)The output of /usr/sbin/apxs follows:Usage: apxs -g [-S =] -n apxs -q [-S =] ... Sorry I Cannot Run Apxs. Possible Reasons Follow Centos a.out checking for suffix of executables... Try to use --with-apxs=/path/to/apxs The output of /usr/local/src/php-5.2.3/no follows ./configure: line 4396: /usr/local/src/php-5.2.3/no: No such file or directory configure: error: Aborting Patches Add a PatchPull Requests Add a Pull RequestHistoryAllCommentsChangesGit/SVN commitsRelated There's an apxs2 in apache2-threaded-dev and apache2-prefork-dev –Adam May 8 '12 at 22:26 which version of apache do you have?

The error I get reads, "Sorry, I cannot run apxs. Configure: Error: Cannot Find Sys/sdt.h Which Is Required For Dtrace Support no checking for nawk... Sign in to comment Contact GitHub API Training Shop Blog About © 2016 GitHub, Inc. yes checking for sys/stat.h...

Sorry I Cannot Run Apxs. Possible Reasons Follow Centos

Anything else results in the error: "Sorry, I was not able to successfully run APXS." I get that error even though I have not specified --with-apxs. http://serverfault.com/questions/387274/compile-php5-4-for-apache-php5-3-already-apt-get-installed You may include the complied php as an Apache DSO Module, adding the LoadModule directive in your apache conf file (eg httpd.conf) –hornetbzz May 8 '12 at 23:27 @hornetbzz Brew Sorry, I Cannot Run Apxs flex checking for yywrap in -lfl... Apxs Was Not Found. Sign in to comment Contact GitHub API Training Shop Blog About © 2016 GitHub, Inc.

Reply With Quote 02-20-2013,03:29 PM #8 mcode View Profile View Forum Posts Verified User Join Date Jul 2012 Posts 15 That was the issue.. Or another: [preparing module `php5' in /home/username/php/etc/apache2/mods-available/php5.load] Can't exec "a2enmod": No such file or directory at /usr/bin/apxs2 line 555. 'a2enmod php5' failed make: *** [install-sapi] Error 2 Here's what I had Sorry, I was not able to successfully run APXS. ranlib checking whether ln -s works... Install Apxs2

shell Choose an action: 1 ==> Formula Tap: homebrew/homebrew-php Path: /usr/local/Library/Taps/homebrew/homebrew-php/Formula/php56.rb ==> Configuration HOMEBREW_VERSION: 0.9.5 ORIGIN: https://github.com/Homebrew/homebrew HEAD: ae2f801d1dae3c7915c6fb35e4272d3b0fdb537f Last commit: 55 minutes ago HOMEBREW_PREFIX: /usr/local HOMEBREW_CELLAR: /usr/local/Cellar CPU: dual-core 64-bit And never was really a bug since you're not supposed to use --without-apxs2 and only SAPIs enabled by default are CLI/CGI since forever including 5.2.3. yes checking how to run the C preprocessor... his comment is here nochecking whether we are using GNU C...

phpapachec++compilermodulegcc asked Jun 8 2003 at 01:48 in Php-General by Pentothal Facebook Google+ Twitter 0 Answers Related Discussions Cannot Compile PHP With APXS in Php-generalUntared php 4.1.1 into /usr/local/src/php4.1.1 Untared apache Yum Install Apxs Already have an account? Make sure.

apxs was not found.

yeschecking whether gcc accepts -g... yes checking for stdlib.h... You're simply doing something wrong or I'm high on crack. :) I even removed Apache from my test machine to be sure. Apxs:error: Command Failed With Rc=65536 Perl is not installed 2.

I've even done apt-get remove --purge php5-dev but I'm missing something. To start viewing messages, select the forum that you want to visit from the selection below. It's working. Now I've got the joy of finding all the missing extensions it didn't install.

javian commented Sep 2, 2016 • edited This should have been corrected now after updating apr, apr-util and the httpd packages. The time now is 05:13 PM. Powered by vBulletin Version 4.2.2 Copyright © 2016 vBulletin Solutions, Inc. Browse other questions tagged apache-2.2 php or ask your own question.